From 0d24a8971700454533c66ab9fc63043c67d44da6 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date: Sun, 17 Feb 2019 23:51:03 +0100
Subject: [PATCH] Un-break optional Qt5 detection

---
 core/CMakeLists.txt | 22 ++++++++++------------
 1 file changed, 10 insertions(+), 12 deletions(-)

diff --git a/core/CMakeLists.txt b/core/CMakeLists.txt
index 27d3819323..17c8aa0320 100644
--- a/core/CMakeLists.txt
+++ b/core/CMakeLists.txt
@@ -134,16 +134,14 @@ find_package(Qt5 ${QT_MIN_VERSION}
 )
 
 if(ENABLE_QWEBENGINE)
-    find_package(Qt5 ${QT_MIN_VERSION} NO_MODULE COMPONENTS WebEngineWidgets)
+    find_package(Qt5WebEngineWidgets ${QT_MIN_VERSION} NO_MODULE)
 else()
-    find_package(Qt5 ${QT_MIN_VERSION} NO_MODULE COMPONENTS WebKitWidgets)
+    find_package(Qt5WebKitWidgets ${QT_MIN_VERSION} NO_MODULE)
 endif()
 
-find_package(Qt5 ${QT_MIN_VERSION}
-             OPTIONAL_COMPONENTS
-             DBus
-             OpenGL
-)
+find_package(Qt5DBus ${QT_MIN_VERSION})
+
+find_package(Qt5OpenGL ${QT_MIN_VERSION})
 
 if(ENABLE_DBUS)
     if(NOT Qt5DBus_FOUND)
@@ -154,10 +152,10 @@ endif()
 # Dependencies For unit tests and CLI test tools
 
 if(BUILD_TESTING)
-    find_package(Qt5 ${QT_MIN_VERSION} NO_MODULE COMPONENTS
-                 Test
-                 Qml WebView  # Optional, for 'sialis' O2 library test tool.
-    )
+    find_package(Qt5Test ${QT_MIN_VERSION} NO_MODULE)
+    # Optional, for 'sialis' O2 library test tool.
+    find_package(Qt5Qml ${QT_MIN_VERSION} NO_MODULE)
+    find_package(Qt5WebView ${QT_MIN_VERSION} NO_MODULE)
 endif()
 
 find_package(KF5 ${KF5_MIN_VERSION}
@@ -323,7 +321,7 @@ find_package(OpenGL)                               # For Presentation tool.
 find_package(X11)
 
 if(X11_FOUND)
-    find_package(Qt5 ${QT_MIN_VERSION} NO_MODULE COMPONENTS X11Extras)
+    find_package(Qt5X11Extras ${QT_MIN_VERSION} NO_MODULE)
     set(HAVE_X11 TRUE)
 else()
     set(HAVE_X11 FALSE)
-- 
2.20.1

